function onBegin()
	disableMovement()
	disableRetry()
	playSound("event:/CC/CC_HollowKnight/SFX/Boss SFX/RadianceChallenge")
	wait(1)
	player.DummyAutoAnimate = false
	player.Sprite:Play("challenge")
	wait(1)
	setFlag("RadianceSunA", true)
	wait(0.3)
	setFlag("RadianceSunA", false)
	setFlag("RadianceSunStart",true)
	setFlag("RadianceSunB",true)
	wait(2)
	setFlag("whiteFade",true)
	wait(0.5)
	playMusic("event:/CC/CC_HollowKnight/Radiance")
	setFlag("RadianceSunB",false)
	setFlag("RadianceCutsStart", true)
	setFlag("RadianceCutsceneDelete",true)
	wait(0.25)
	playMusic("event:/CC/CC_HollowKnight/Radiance")
	setFlag("whiteFade",false)
	wait(4)
	if getFlag("FightingAbsRad") then
		setFlag("radianceAbsFade",true)
	else
		setFlag("radianceFade",true)
	end
	wait(2)
	player.DummyAutoAnimate = true
	player.ForceCameraUpdate = true
	setFlag("RadianceCutsStart",false)
	wait(0.3)
	if getFlag("FightingAbsRad") then
		setFlag("radianceAbsFade",false)
	else
		setFlag("radianceFade",false)
	end
	wait(0.25)
	setFlag("radiance_activate_flag", true)
	setFlag("radiance_introcamera", true)
	setFlag("radiance_introcameraB", true)
	setFlag("radiance_intro", true)
end

function onEnd()
	if getFlag("radiance_intro") then
		--log("PAIN")
		enableMovement()
		enableRetry()
		setFlag("RadianceCutsceneDelete",true)
	else
		enableMovement()
		enableRetry()
	end
end